var ContentDialog = {};
ContentDialog.COMPONENT_INSTANCE_ID = null;
ContentDialog.davResourceOutOfSynch = null;

ContentDialog.onSubmit = function(form, maxBytes, maxBytesMsg)
{   
   if (form && form.elements)
   {
      for (var i = 0; i < form.elements.length; i++)
      {
         var e = form.elements[i];
         if (e && e.type && e.type === 'file' && e.files)
         {
            var files = e.files;
            if (files.length === 1)
            {
               var size = files[0].size;
               if (size > maxBytes)
               {
                  alert(maxBytesMsg);
                  return false;
               }
            }
         }
      }
   }
   BackgroundOverlay.show();
}

ContentDialog.cancel = function()
{
   if (ContentDialog.davResourceOutOfSynch)
   {
      ContentDialog.refreshContentManagementComponent();
   }
   
   window.parent.IFrameDialog.hide();
}

ContentDialog.saveChanges = function(button)
{
   if (confirm(AppProperties["contentManagement.content.confirm.saveMyChanges.txt"]))
   {
      BackgroundOverlay.show();
      FormUtil.submitForm(button.form, {
         method: "saveChanges",
         force: true});
   }
}

ContentDialog.refreshContentManagementComponent = function()
{
   window.parent.ContentManagementComponent.refresh(ContentDialog.COMPONENT_INSTANCE_ID);
   ContentDialog.davResourceOutOfSynch = false;
}